ADDDEBUG(1)

NAME
adddebug - Modifiziert Makefile(s), um Debug-Informationen hinzuzufügen.

ÜBERSICHT

adddebug [-k] [-r] [-n]

BESCHREIBUNG

adddebug modifiziert Makefile im aktuellen Verzeichnis (und optional in den Unterverzeichnissen), damit Debug-Informationen (-g3) hinzugefügt werden. Außerdem werden Optimierungen ausgeschaltet (-O[1-9]).

Dieses Hilfsprogramm ist Teil der KDE Software-Entwicklungswerkzeuge.

AUFRUFPARAMETER

-k
    Optimierungen beibehalten (die Aufrufparameter -O[1-9] werden nicht entfernt)

-r
    Suche rekursiv in allen Unterverzeichnissen des aktuellen Verzeichnisses und ändere alle gefundenen Makefiles.

-n
    kompiliere ohne Definierung von NDEBUG und NO_DEBUG (bewirkt, dass Aufrufe von kdDebug funktionieren).

AUTOR

Ben Burton <bab@debian.org>
    Autor.